Bug 1425859 - Can't connect to VPN after upgrade
Summary: Can't connect to VPN after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Sommerseth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 15:42 UTC by Bastien Nocera
Modified: 2017-04-01 17:28 UTC (History)
11 users (show)

Fixed In Version: openvpn-2.4.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:28:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Bastien Nocera 2017-02-22 15:42:17 UTC
openvpn-2.4.0-2.fc26.x86_64
NetworkManager-openvpn-1.2.8-1.fc26.x86_64

My VPN provider won't work after upgrading to F26/rawhide:

VERIFY ERROR: depth=0, subject=C=AA, ST=Net, L=The Cloud, O=StreamVia, CN=server, emailAddress=hostmaster@streamvia.com: The certificate is signed with an unacceptable key (eg bad curve, RSA too short).

Changing the certificate is not an option, as it's what is considered sufficient by my provider.

This seems to be a known problem with the mbedtls build:
https://bugs.lede-project.org/index.php?do=details&task_id=405#comment1335

Comment 1 Thomas Haller 2017-02-22 18:15:54 UTC
NetworkManager-openvpn plugin just calls openvpn. So, if the plugin does something wrong, it means it calls openvpn with wrong arguments. But from the given information, I don't see that being the case.

Reassigning to openvpn.

Comment 2 David Sommerseth 2017-02-22 20:25:49 UTC
OpenVPN v2.4 on Fedora is currently using mbedtls-2.{3,4} instead of OpenSSL, due to building issues against OpenSSL v1.1.

The mbedtls-2.x versions *by default does not accept* any RSA certificates signed by a CA with a key less than 2048 bits.

IIRC, this behaviour may be changed in mbed TLS, but it is a build-time option.  So the whole mbed TLS library needs to be reconfigured.

With all this said, there are now patches on the openvpn-devel mailing list under review which enables OpenVPN to be built against OpenSSL v1.1 as well as v1.0.

Currently the only workaround I can see is to recompile the mbed TLS library to allow weaker CA keys.

Comment 3 Fedora End Of Life 2017-02-28 12:24:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Bastien Nocera 2017-03-01 12:15:58 UTC
(In reply to David Sommerseth from comment #2)
> OpenVPN v2.4 on Fedora is currently using mbedtls-2.{3,4} instead of
> OpenSSL, due to building issues against OpenSSL v1.1.
> 
> The mbedtls-2.x versions *by default does not accept* any RSA certificates
> signed by a CA with a key less than 2048 bits.
> 
> IIRC, this behaviour may be changed in mbed TLS, but it is a build-time
> option.  So the whole mbed TLS library needs to be reconfigured.
> 
> With all this said, there are now patches on the openvpn-devel mailing list
> under review which enables OpenVPN to be built against OpenSSL v1.1 as well
> as v1.0.
> 
> Currently the only workaround I can see is to recompile the mbed TLS library
> to allow weaker CA keys.

Could we have that in rawhide soon? I haven't been able to use that VPN for a week.

Comment 5 Fedora Admin XMLRPC Client 2017-03-14 12:15:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Joachim Frieben 2017-03-14 17:06:59 UTC
After downgrading a Fedora 26 system to openvpn-2.4.0-1.fc25. OpenVPN seems to work: it is possible to connect successfully to an OpenVPN server which did not work with openvpn-2.4.0-2.fc26.

Comment 7 David Sommerseth 2017-03-23 16:14:06 UTC
Please try the latest openvpn-2.4.1-1.fc26.  This have an additional Fedora specific patch which permits mbed TLS to accept weaker RSA keys and hashing algorithms (so called 'legacy certificate profile')

https://bodhi.fedoraproject.org/updates/openvpn-2.4.1-1.fc26

Comment 8 Fedora Update System 2017-03-23 16:14:32 UTC
openvpn-2.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f41671c546

Comment 9 Fedora Update System 2017-04-01 17:28:45 UTC
openvpn-2.4.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.